> ## Documentation Index
> Fetch the complete documentation index at: https://docs.heyhumm.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Github Config



## OpenAPI

````yaml https://config.heyhumm.ai/api/openapi.json delete /api/context-source/{context_source_id}/config/{config_id}
openapi: 3.1.0
info:
  title: Configuration API
  description: >-
    API for managing configuration and queues for various services. This service
    consolidates the API functionality previously provided by dd_rag_api and
    code_rag_api.
  version: 1.0.0
servers:
  - url: https://config.heyhumm.ai
security: []
paths:
  /api/context-source/{context_source_id}/config/{config_id}:
    delete:
      tags:
        - Context Sources
      summary: Delete Github Config
      operationId: >-
        delete_github_config_api_context_source__context_source_id__config__config_id__delete
      parameters:
        - name: context_source_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Context Source Id
        - name: config_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Config Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GitHubConfigResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    GitHubConfigResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        repository_url:
          type: string
          title: Repository Url
        branch:
          type: string
          title: Branch
        include_patterns:
          anyOf:
            - type: string
            - type: 'null'
          title: Include Patterns
        exclude_patterns:
          anyOf:
            - type: string
            - type: 'null'
          title: Exclude Patterns
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - id
        - repository_url
        - branch
        - created_at
        - updated_at
      title: GitHubConfigResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````